## Class Swift_LoadBalancedTransport

(line 20)

## Description

    Swift_Transport_LoadBalancedTransport
       |
       --Swift_LoadBalancedTransport

Located in File: /vendors/swiftMailer/classes/Swift/LoadBalancedTransport.php

##### Redudantly and rotationally uses several Transport implementations when sending.

- author: - Chris Corbyn

## Class Variables

Summary:

## Class Constants

Summary:

## Method Detail

Summary:
static Swift_LoadBalancedTransport newInstance ([string $transports = array()])
Swift_LoadBalancedTransport __construct ([array $transports = array()])

#### Static Method newInstance (line 43)

#### Swift_LoadBalancedTransport newInstance( [string $transports = array()])

##### Create a new LoadBalancedTransport instance.

#### Parameters

- string $transports:

#### Info

- access - public

#### Constructor __construct (line 27)

#### Swift_LoadBalancedTransport __construct( [array $transports = array()])

Overrides : Swift_Transport_LoadBalancedTransport::__construct() Creates a new LoadBalancedTransport.

##### Creates a new LoadBalancedTransport with $transports.

#### Parameters

- array $transports:

#### Info

- access - public

## Inherited Variables

### Inherited Class Variable Summary

#### Inherited From Class Swift_Transport_LoadBalancedTransport

#### Swift_Transport_LoadBalancedTransport::$_transports - The Transports which are used in rotation.

## Inherited Methods

### Inherited Method Summary

#### Inherited From Class Swift_Transport_LoadBalancedTransport

#### Swift_Transport_LoadBalancedTransport::__construct() - Creates a new LoadBalancedTransport.

#### Swift_Transport_LoadBalancedTransport::getTransports() - Get $transports to delegate to.

#### Swift_Transport_LoadBalancedTransport::isStarted() - Test if this Transport mechanism has started.

#### Swift_Transport_LoadBalancedTransport::registerPlugin() - Register a plugin.

#### Swift_Transport_LoadBalancedTransport::send() - Send the given Message.

#### Swift_Transport_LoadBalancedTransport::setTransports() - Set $transports to delegate to.

#### Swift_Transport_LoadBalancedTransport::start() - Start this Transport mechanism.

#### Swift_Transport_LoadBalancedTransport::stop() - Stop this Transport mechanism.

#### Swift_Transport_LoadBalancedTransport::_getNextTransport() - Rotates the transport list around and returns the first instance.

#### Swift_Transport_LoadBalancedTransport::_killCurrentTransport() - Tag the currently used (top of stack) transport as dead/useless.

Documentation generated on Fri, 12 Nov 2010 20:45:24 +0000 by phpDocumentor 1.4.3